ObjectBuilder (Solr 3.6.2 API)
Keywords: org.apache.noggit.ObjectBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.noggit
Class ObjectBuilder

    java.lang.Object
      org.apache.noggit.ObjectBuilder

    public class ObjectBuilder

extends Object

Version:
  $Id$
Author:
  yonik

Constructor Summary
`ObjectBuilder(JSONParser parser)`

Method Summary
`void` | `addArrayVal(Object arr, Object val)`
`void` | `addKeyVal(Object map, Object key, Object val)`
`Object` | `endArray(Object arr)`
`static Object` | `fromJSON(String json)`
`Object` | `getArray()`
`Object` | `getBigNumber()`
`Object` | `getBoolean()`
`Object` | `getKey()`
`Object` | `getLong()`
`Object` | `getNull()`
`Object` | `getNumber()`
`Object` | `getObject()`
`Object` | `getString()`
`Object` | `getVal()`
`static Object` | `getVal(JSONParser parser)`
`Object` | `newArray()`
`Object` | `newObject()`
`Object` | `objectEnd(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectBuilder

    public ObjectBuilder(JSONParser parser)
                  throws IOException

Throws:
  `IOException`

Method Detail

### fromJSON

    public static Object fromJSON(String json)
                           throws IOException

  Throws:
    `IOException`

### getVal

    public static Object getVal(JSONParser parser)
                         throws IOException

  Throws:
    `IOException`

### getVal

    public Object getVal()
                  throws IOException

  Throws:
    `IOException`

### getString

    public Object getString()
                     throws IOException

  Throws:
    `IOException`

### getLong

    public Object getLong()
                   throws IOException

  Throws:
    `IOException`

### getNumber

    public Object getNumber()
                     throws IOException

  Throws:
    `IOException`

### getBigNumber

    public Object getBigNumber()
                        throws IOException

  Throws:
    `IOException`

### getBoolean

    public Object getBoolean()
                      throws IOException

  Throws:
    `IOException`

### getNull

    public Object getNull()
                   throws IOException

  Throws:
    `IOException`

### newObject

    public Object newObject()
                     throws IOException

  Throws:
    `IOException`

### getKey

    public Object getKey()
                  throws IOException

  Throws:
    `IOException`

### addKeyVal

    public void addKeyVal(Object map,
                          Object key,
                          Object val)
                   throws IOException

  Throws:
    `IOException`

### objectEnd

    public Object objectEnd(Object obj)

### getObject

    public Object getObject()
                     throws IOException

  Throws:
    `IOException`

### newArray

    public Object newArray()

### addArrayVal

    public void addArrayVal(Object arr,
                            Object val)
                     throws IOException

  Throws:
    `IOException`

### endArray

    public Object endArray(Object arr)

### getArray

    public Object getArray()
                    throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD